Index: doc/genmodel.py
===================================================================
--- doc/genmodel.py	(revision 044a9c12e31225b960e033a80e969530db1641d4)
+++ doc/genmodel.py	(revision 824465b556964d6acae95aa95cab41776cc80705)
@@ -29,7 +29,9 @@
     'q_max'     : 1.0,
     'nq'        : 1000,
-    'nq2d'      : 100,
+    'nq2d'      : 1000,
     'vmin'      : 1e-3,  # floor for the 2D data results
     'qx_max'    : 0.5,
+    #'colormap'  : 'gist_ncar',
+    'colormap'  : 'jet',
 }
 
@@ -61,26 +63,7 @@
         Iq2D = np.log(np.clip(Iq2D, opts['vmin'], np.inf))
     ax.imshow(Iq2D, interpolation='nearest', aspect=1, origin='lower',
-        extent=[-qx_max, qx_max, -qx_max, qx_max], cmap=pylab.cm.jet)   
+        extent=[-qx_max, qx_max, -qx_max, qx_max], cmap=opts['colormap'])
     ax.set_xlabel(r'$Q_x \/(\AA^{-1})$')
     ax.set_ylabel(r'$Q_y \/(\AA^{-1})$')
-
-#            im = self.subplot.imshow(output, interpolation='nearest',
-#                                     origin='lower',
-#                                     vmin=zmin_temp, vmax=self.zmax_2D,
-#                                     cmap=self.cmap,
-#                                     extent=(self.xmin_2D, self.xmax_2D,
-#                                             self.ymin_2D, self.ymax_2D))
-
-def ice_cm():
-    from matplotlib._cm import _Blues_data
-    from matplotlib import colors
-    from matplotlib import rcParams
-    def from_white(segments):
-        scale = 1.0/segments[0][1]
-        return [(k, v*scale, w*scale) for k, v, w in segments]
-    ice_data = dict((k,from_white(v)) for k,v in _Blues_data.items())
-    ice = colors.LinearSegmentedColormap("ice", ice_data, rcParams['image.lut'])
-    return ice
-
 
 # Generate image 
Index: sasmodels/compare.py
===================================================================
--- sasmodels/compare.py	(revision d6850fa54ddb36992be4aa7ae6cc337c1cba3d70)
+++ sasmodels/compare.py	(revision af92b736ef07ae4becfadd8b6368696e118aeae9)
@@ -539,5 +539,5 @@
         try:
             base_value, base_time = time_calculation(base, pars, Nbase)
-            print("%s t=%.1f ms, intensity=%.0f"
+            print("%s t=%.2f ms, intensity=%.0f"
                   % (base.engine, base_time, sum(base_value)))
         except ImportError:
@@ -550,5 +550,5 @@
         try:
             comp_value, comp_time = time_calculation(comp, pars, Ncomp)
-            print("%s t=%.1f ms, intensity=%.0f"
+            print("%s t=%.2f ms, intensity=%.0f"
                   % (comp.engine, comp_time, sum(comp_value)))
         except ImportError:
@@ -584,10 +584,10 @@
         if Ncomp > 0: plt.subplot(131)
         plot_theory(data, base_value, view=view, use_data=False, limits=limits)
-        plt.title("%s t=%.1f ms"%(base.engine, base_time))
+        plt.title("%s t=%.2f ms"%(base.engine, base_time))
         #cbar_title = "log I"
     if Ncomp > 0:
         if Nbase > 0: plt.subplot(132)
         plot_theory(data, comp_value, view=view, use_data=False, limits=limits)
-        plt.title("%s t=%.1f ms"%(comp.engine, comp_time))
+        plt.title("%s t=%.2f ms"%(comp.engine, comp_time))
         #cbar_title = "log I"
     if Ncomp > 0 and Nbase > 0:
Index: sasmodels/data.py
===================================================================
--- sasmodels/data.py	(revision c094758ad0df0ba9f8a4aa5b788a7c4f1bdf249f)
+++ sasmodels/data.py	(revision 092cb3ce952732db3425891b8c1619f81fd7a157)
@@ -389,5 +389,5 @@
             if view is 'log':
                 mdata[mdata <= 0] = masked
-            plt.errorbar(data.x/10, scale*mdata, yerr=data.dy, fmt='.')
+            plt.errorbar(data.x, scale*mdata, yerr=data.dy, fmt='.')
             all_positive = all_positive and (mdata > 0).all()
             some_present = some_present or (mdata.count() > 0)
@@ -412,5 +412,5 @@
                    if view == 'q4' or not some_present or not all_positive
                    else view)
-        plt.xlabel("$q$/nm$^{-1}$")
+        plt.xlabel("$q$/A$^{-1}$")
         plt.ylabel('$I(q)$')
 
@@ -422,6 +422,6 @@
         if num_plots > 1:
             plt.subplot(1, num_plots, (use_data or use_theory) + 1)
-        plt.plot(data.x/10, mresid, '-')
-        plt.xlabel("$q$/nm$^{-1}$")
+        plt.plot(data.x, mresid, '-')
+        plt.xlabel("$q$/A$^{-1}$")
         plt.ylabel('residuals')
         plt.xscale('linear' if not some_present else view)
